## net.i2p.router.web
Class LogsHelper

    java.lang.Object
      net.i2p.router.web.LogsHelper

    public class LogsHelper

extends java.lang.Object

Constructor Summary
`LogsHelper()`

Method Summary
`java.lang.String` `getConnectionLogs()`
`java.lang.String` `getCriticalLogs()`
`java.lang.String` `getLogs()`
`java.lang.String` `getServiceLogs()`
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogsHelper

    public LogsHelper()

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### getLogs

    public java.lang.String getLogs()

### getCriticalLogs

    public java.lang.String getCriticalLogs()

### getServiceLogs

    public java.lang.String getServiceLogs()

### getConnectionLogs

    public java.lang.String getConnectionLogs()